Create access token

Create an access token to use BitGo APIs. BitGo restricts access tokens in the production environment to specific IP addresses. However, access tokens in the test environment don't require an IP address restriction. If you omit a spending limit, you must unlock the token using the Unlock session endpoint on a regular basis to permit operations such as withdrawals. Therefore, BitGo recommends including a spending limit.

Body Params
scope

The permissions granted by this access token.

  • all - Access all actions in the test environment.
  • crypto_compare - Call CryptoCompare API.
  • enterprise_manage_all - Manage users and settings for any enterprise to which the user belongs.
  • enterprise_view_all - View any enterprise to which the user belongs.
  • metamask_institutional - [DEPRECATED] Enables using BitGo wallets in the MetaMask Institutional extension.
  • openid - Verify your BitGo user ID using OpenID Connect.
  • pending_approval_update - Approve or reject pending actions that require approval to proceed.
  • portfolio_view - [DEPRECATED] Call the Portfolio API.
  • profile - View your BitGo Profile.
  • settlement_network_read - View your client's Go Network data, enabling allocations to and from your platform. Only for Go Network partners.
  • settlement_network_write - Update your client's Go Network data, enabling allocations to and from your platform. Only for Go Network partners.
  • trade_trade - Initiate trades.
  • trade_view - View trades.
  • trade_fix - Access the Trade FIX API gateway.
  • wallet_approve - Approve policies and transactions for a wallet where the user is a wallet admin.
  • wallet_approve_all - Approve transactions for any wallet where the user is a wallet admin within any enterprise to which the user belongs.
  • wallet_approve_enterprise - Approve transactions for any wallet where the user is a wallet admin within a single enterprise.
  • wallet_create - Create wallets.
  • wallet_edit - Edit comments on a transfer.
  • wallet_edit_all - Edit comments on all transfers within multiple enterprises.
  • wallet_edit_enterprise - [DEPRECATED] Edit comments on all transfers within a single enterprise.
  • wallet_freeze - Freeze a wallet.
  • wallet_freeze_all - Freeze any wallet within any enterprises to which the user belongs.
  • wallet_manage - Manage settings for a wallet where the user is a wallet admin.
  • wallet_manage_all - Manage settings for any wallet where the user is a wallet admin within any enterprise to which the user belongs.
  • wallet_manage_enterprise - Manage settings for any wallet where the user is a wallet admin within a single enterprise.
  • wallet_spend - Initiate transactions from a wallet.
  • wallet_spend_all - Initiate transactions from any wallet within any enterprise to which the user belongs.
  • wallet_spend_enterprise - Initiate transactions from any wallet within a single enterprise.
  • wallet_stake - Initiate staking transactions from a wallet.
  • wallet_stake_all - Initiate staking transactions from any wallet within any enterprise to which the user belongs.
  • wallet_view - View a wallet.
  • wallet_view_all - View any wallet within any enterprise to which the user belongs.
  • wallet_view_enterprise - View any wallet within a single enterprise.
number

The duration of the access token in seconds.

string
required

A label for the access token.

string
required

The one-time password.

boolean

True, if this access token has admin permissions.

ipRestrict
array of strings | null

Restricts the access token to use only from the provided IP addresses. Required for access tokens in the production environment. Not required for access tokens in the test environment.

ipRestrict
string

The enterprise ID that the user belongs to.

spendingLimits
array of objects
spendingLimits
allErc20TokensLimit
object
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json